using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPFYifis2
{
    /// <summary>
    /// Логика взаимодействия для LessonsWindow.xaml
    /// </summary>
    public partial class LessonsWindow : Window
    {
        public LessonsWindow()
        {
            InitializeComponent();
        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {

        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Lesson lesson = Presenter.Singleton.GetLesson();

            if (lesson != null)
            {
                MessageBox.Show("не пусто");
                Label11.Content = lesson.NumberLessons;
                Label12.Content = lesson.DateLessons;
                Label13.Content = lesson.ClassTime;
            }

            TypeLesson typeLesson = Presenter.Singleton.GetTypeLesson();

            if (typeLesson != null)
            {
                MessageBox.Show("не пусто");
                Label14.Content = typeLesson.TypeLessons;
            }
        }
    } 
}
